<div>
  <button type="button" class="close" data-dismiss="modal" (click)="dialogRef.close()">
    &times;
  </button>
  <h4 class="modal-title">Edit order</h4>

  <div class="tab-content">
    <div class="tab-pane container active">
      <div class="col-sm-12">
        <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateOrder(f)">
          <table aria-describedby="Manage Company" class="table table-bordered">
            <thead>
              <tr>
                <th scope="col">Label</th>
                <th scope="col">Value</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>ORDER ID</td>
                <td>{{ orderInfo.unique_order_id }}</td>
              </tr>
              <tr>
                <td>START ADDRESS</td>
                <td>
                    <input id="searchTextField"  #pickup="ngModel" [(ngModel)]="orderInfo.pickup_location" class="form-control"  placeholder="Drop Location" type="text" size="50" placeholder="Enter a location" autocomplete="on" (place_changed)="pickupChanged($event)" [ngModelOptions]="{standalone: true}">
                  <div class="error-msg" *ngIf="pickup.errors && (pickup.dirty || pickup.touched || f.submitted)">
                    <div [hidden]="!pickup.errors.required">Pickup is required.</div>
                  </div>
                </td>
              </tr>
              <tr>
                <td>DROP ADDRESS</td>
                <td>   
                <input id="searchTextField2" [(ngModel)]="orderInfo.drop_location" class="form-control"  placeholder="Drop Location" type="text" size="50" placeholder="Enter a location" autocomplete="on" [ngModelOptions]="{standalone: true}">
                </td>
              </tr>
              <tr *ngIf="orderInfo.scheduler_start_date !== null">
                <td>SCHEDULED DATE</td>
                <td style="clear:both">
                  <div style="float: left;width:90%">
                    <input type="text" class="form-control " [owlDateTime]="dt6"
                      [(ngModel)]="orderInfo.scheduler_start_date" [min]="max2" [ngModelOptions]="{standalone: true}"
                      disabled />
                  </div>
                  <div style="float: right;">
                    <span class="trigger" [owlDateTimeTrigger]="dt6">
                      <i aria-hidden="true" class="fa fa-calendar calendar-schedule"></i>
                    </span>
                  </div>
                  <owl-date-time #dt6></owl-date-time>
                </td>
              </tr>
              <tr *ngIf="orderInfo.scheduler_start_date !== null">
                <td>SCHEDULED BEFORE</td>
                <td>
                  <mat-select [(ngModel)]="orderInfo.schedule_before" class="fm-txt"
                    [ngModelOptions]="{standalone: true}">
                    <mat-option value="5">5 Minutes</mat-option>
                    <mat-option value="10">10 Minutes</mat-option>
                    <mat-option value="15">15 Minutes</mat-option>
                    <mat-option value="20">20 Minutes</mat-option>
                    <mat-option value="25">25 Minutes</mat-option>
                    <mat-option value="30">30 Minutes</mat-option>
                    <mat-option value="45">45 Minutes</mat-option>
                    <mat-option value="60">1 Hour</mat-option>
                  </mat-select>
                </td>
              </tr>
              <tr class="noBorder text-center">
                <td>
                  <span class="error-msg">{{invalid}}</span>
                  <button class="btn btn-primary blue" type="submit">Submit</button>
                </td>
                <td>
                  <button class="btn btn-sm btn-primary red" type="button" [mat-dialog-close]>Cancel</button>
                </td>
              </tr>
            </tbody>
          </table>
        </form>
      </div>
    </div>
  </div>
</div>